Bug 266899 - Amarok Crash When Saving Playlist to MTP Device [@ PlaylistBrowserNS::PlaylistBrowserModel::slotRenamePlaylist]
Summary: Amarok Crash When Saving Playlist to MTP Device [@ PlaylistBrowserNS::Playlis...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.4-GIT
Platform: Ubuntu Packages Linux
: NOR crash with 40 votes (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
: 268398 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-22 17:27 UTC by wilksdeworms
Modified: 2011-05-14 10:44 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
New crash information added by DrKonqi (26.70 KB, text/plain)
2011-03-14 21:58 UTC, kat
Details
New crash information added by DrKonqi (14.78 KB, text/plain)
2011-04-02 00:54 UTC, Matěj Laitl
Details
New crash information added by DrKonqi (11.69 KB, text/plain)
2011-04-08 14:17 UTC, PJ Beers
Details
Backtrace (12.23 KB, text/plain)
2011-04-10 09:17 UTC, PJ Beers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wilksdeworms 2011-02-22 17:27:15 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-25-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
When trying to save a playlist to a Cowon D2 in MTP mode, Amarok crashes. Amarok also crashes when opening the player in "Local Music" view while there is no music on the player.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f3dfdfcc820 (LWP 3373))]

Thread 14 (Thread 0x7f3dd9a97700 (LWP 3374)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f3de2dd10d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f3dd9296700 (LWP 3375)):
#0  0x00007f3df65c7665 in __pthread_mutex_lock (mutex=0x1daaa48) at pthread_mutex_lock.c:61
#1  0x00007f3df51cd697 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007f3df51ce023 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f3df51ce45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f3dfb47d1e6 in QEventDispatcherGlib::processEvents (this=0x1d0ca30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f3dfb44fa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f3dfb44fdec in QEventLoop::exec (this=0x7f3dd9295cd0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f3dfb35a2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f3de302c830 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x1da8870) at thread/qthread_unix.cpp:266
#10 0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f3dd8890700 (LWP 3376)):
#0  0x00007f3dfab23203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f3df284f40f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f3df283ed76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f3df28407f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f3df28408b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f3df284f20b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f3ded876fb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f3dcfffe700 (LWP 3377)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3de2de1e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f3dcf3f3700 (LWP 3378)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3de2de1e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f3dcebf2700 (LWP 3379)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3de2de1e83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f3dcd52e700 (LWP 3381)):
#0  0x00007f3df65c8c9d in __pthread_mutex_unlock_usercnt (mutex=0x2178d58) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x2178d58) at pthread_mutex_unlock.c:290
#2  0x00007f3df51cda05 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f3df51cde78 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f3df51ce45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f3dfb47d1e6 in QEventDispatcherGlib::processEvents (this=0x1ca7730, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#6  0x00007f3dfb44fa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f3dfb44fdec in QEventLoop::exec (this=0x7f3dcd52dcf0, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f3dfb35a2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f3dfb42f5f8 in QInotifyFileSystemWatcherEngine::run (this=0x2149700) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x2149700) at thread/qthread_unix.cpp:266
#11 0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f3dcb4b6700 (LWP 3382)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3dfb35de3b in wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f3df8596d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21d9710, th=0x22123e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f3df8599f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x22123e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x22123e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x22123e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x22123e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x22123e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f3df85984df in ThreadWeaver::ThreadRunHelper::run (this=0x7f3dcb4b5d40, parent=0x21d9710, th=0x22123e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x00007f3df8598a38 in ThreadWeaver::Thread::run (this=0x22123e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x22123e0) at thread/qthread_unix.cpp:266
#12 0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f3dc0c9a700 (LWP 3395)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3df6ec9334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f3df71d4160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f3df6ec9369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f3df71e2234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f3db7f94700 (LWP 3410)):
#0  0x00007f3dfab23203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f3df51ce009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f3df51ce45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f3dfb47d1e6 in QEventDispatcherGlib::processEvents (this=0x321ed60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f3dfb44fa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f3dfb44fdec in QEventLoop::exec (this=0x7f3db7f93cf0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f3dfb35a2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f3dfb42f5f8 in QInotifyFileSystemWatcherEngine::run (this=0x321e0b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x321e0b0) at thread/qthread_unix.cpp:266
#9  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f3db7577700 (LWP 3411)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3dfb35de3b in wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f3df8596d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21d9710, th=0x332b240) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f3df8599f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x332b240) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f3df85984df in ThreadWeaver::ThreadRunHelper::run (this=0x7f3db7576d40, parent=0x21d9710, th=0x332b240) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f3df8598a38 in ThreadWeaver::Thread::run (this=0x332b240) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x332b240) at thread/qthread_unix.cpp:266
#8  0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3db6b6b700 (LWP 3412)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3dfb35de3b in wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f3df8596d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21d9710, th=0x328a150) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f3df8599f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x328a150) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x328a150) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x328a150) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x328a150) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f3df85984df in ThreadWeaver::ThreadRunHelper::run (this=0x7f3db6b6ad40, parent=0x21d9710, th=0x328a150) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f3df8598a38 in ThreadWeaver::Thread::run (this=0x328a150) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x328a150) at thread/qthread_unix.cpp:266
#11 0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3db636a700 (LWP 3413)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3dfb35de3b in wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x21ef140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f3df8596d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21d9710, th=0x3289ac0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f3df8599f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x3289ac0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x3289ac0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f3df8599f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21c6a00, th=0x3289ac0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f3df85984df in ThreadWeaver::ThreadRunHelper::run (this=0x7f3db6369d40, parent=0x21d9710, th=0x3289ac0) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f3df8598a38 in ThreadWeaver::Thread::run (this=0x3289ac0) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f3dfb35d27e in QThreadPrivate::start (arg=0x3289ac0) at thread/qthread_unix.cpp:266
#10 0x00007f3df65c5971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f3dfab2f92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f3dfdfcc820 (LWP 3373)):
[KCrash Handler]
#6  0x00007f3dfcdeac00 in PlaylistBrowserNS::PlaylistBrowserModel::slotRenamePlaylist (this=0x243bf50, playlist=) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:557
#7  0x00007f3dfcab053e in PlaylistBrowserNS::PlaylistBrowserModel::qt_metacall (this=0x243bf50, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fffc7df45e0) at moc_PlaylistBrowserModel.cpp:89
#8  0x00007f3dfb468b27 in QMetaObject::activate (sender=0x22aeb50, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffc7df45e0) at kernel/qobject.cpp:3280
#9  0x00007f3dfce1eb25 in PlaylistManager::renamePlaylist (this=0x3596080, _t1=<value optimized out>) at ./PlaylistManager.moc:158
#10 0x00007f3dfce2303f in PlaylistManager::save (this=0x22aeb50, tracks=<value optimized out>, name=<value optimized out>, toProvider=<value optimized out>) at ../../src/playlistmanager/PlaylistManager.cpp:310
#11 0x00007f3dfcb86fe0 in Playlist::Dock::slotSaveCurrentPlaylist (this=<value optimized out>) at ../../src/playlist/PlaylistDock.cpp:288
#12 0x00007f3dfcab0c7c in Playlist::Dock::qt_metacall (this=0x23f9470, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffc7df4880) at moc_PlaylistDock.cpp:88
#13 0x00007f3dfb468b27 in QMetaObject::activate (sender=0x3624780, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffc7df45e0) at kernel/qobject.cpp:3280
#14 0x00007f3dfbe2b852 in QAction::triggered (this=0x3596080, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#15 0x00007f3dfbe2cf5b in QAction::activate (this=0x3624780, event=<value optimized out>) at kernel/qaction.cpp:1256
#16 0x00007f3dfc293dc1 in QMenuPrivate::activateCausedStack (this=<value optimized out>, causedStack=..., action=0x3624780, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#17 0x00007f3dfc299782 in QMenuPrivate::activateAction (this=0x31a9020, action=0x3624780, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1085
#18 0x00007f3dfda9ff2e in KMenu::mouseReleaseEvent (this=0x31a8dc0, e=0x7fffc7df44c0) at ../../kdeui/widgets/kmenu.cpp:458
#19 0x00007f3dfbe8904e in QWidget::event (this=0x31a8dc0, event=0x7fffc7df54d0) at kernel/qwidget.cpp:8187
#20 0x00007f3dfc29b90b in QMenu::event (this=0x31a8dc0, e=0x7fffc7df54d0) at widgets/qmenu.cpp:2410
#21 0x00007f3dfbe32fdc in QApplicationPrivate::notify_helper (this=0x1c92f10, receiver=0x31a8dc0, e=0x7fffc7df54d0) at kernel/qapplication.cpp:4396
#22 0x00007f3dfbe3930e in QApplication::notify (this=0x7fffc7df6fb0, receiver=0x31a8dc0, e=0x7fffc7df54d0) at kernel/qapplication.cpp:3959
#23 0x00007f3dfd9c7a36 in KApplication::notify (this=0x7fffc7df6fb0, receiver=0x31a8dc0, event=0x7fffc7df54d0) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007f3dfb450cdc in QCoreApplication::notifyInternal (this=0x7fffc7df6fb0, receiver=0x31a8dc0, event=0x7fffc7df54d0) at kernel/qcoreapplication.cpp:732
#25 0x00007f3dfbe37dbe in sendEvent (receiver=0x31a8dc0, event=0x7fffc7df54d0, alienWidget=0x0, nativeWidget=0x31a8dc0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#26 QApplicationPrivate::sendMouseEvent (receiver=0x31a8dc0, event=0x7fffc7df54d0, alienWidget=0x0, nativeWidget=0x31a8dc0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#27 0x00007f3dfbebb7bd in QETWidget::translateMouseEvent (this=0x31a8dc0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4337
#28 0x00007f3dfbeb9c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffc7df5df0) at kernel/qapplication_x11.cpp:3536
#29 0x00007f3dfbee60e2 in x11EventSourceDispatch (s=0x1c98270, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f3df51ca342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0x00007f3df51ce2a8 in ?? () from /lib/libglib-2.0.so.0
#32 0x00007f3df51ce45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0x00007f3dfb47d193 in QEventDispatcherGlib::processEvents (this=0x1b11930, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#34 0x00007f3dfbee5a4e in QGuiEventDispatcherGlib::processEvents (this=0x3596080, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f3dfb44fa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#36 0x00007f3dfb44fdec in QEventLoop::exec (this=0x7fffc7df6120, flags=) at kernel/qeventloop.cpp:201
#37 0x00007f3dfc296ec5 in QMenu::exec (this=0x31a8dc0, p=<value optimized out>, action=0x0) at widgets/qmenu.cpp:2054
#38 0x00007f3dfc2ddfe3 in QToolButtonPrivate::popupTimerDone (this=0x31aa540) at widgets/qtoolbutton.cpp:955
#39 0x00007f3dfb4628f9 in QObject::event (this=0x31aa510, e=0x7fffc7df44c0) at kernel/qobject.cpp:1183
#40 0x00007f3dfbe886df in QWidget::event (this=0x31aa510, event=0x7fffc7df6ca0) at kernel/qwidget.cpp:8646
#41 0x00007f3dfbe32fdc in QApplicationPrivate::notify_helper (this=0x1c92f10, receiver=0x31aa510, e=0x7fffc7df6ca0) at kernel/qapplication.cpp:4396
#42 0x00007f3dfbe38aed in QApplication::notify (this=0x7fffc7df6fb0, receiver=0x31aa510, e=0x7fffc7df6ca0) at kernel/qapplication.cpp:4277
#43 0x00007f3dfd9c7a36 in KApplication::notify (this=0x7fffc7df6fb0, receiver=0x31aa510, event=0x7fffc7df6ca0) at ../../kdeui/kernel/kapplication.cpp:311
#44 0x00007f3dfb450cdc in QCoreApplication::notifyInternal (this=0x7fffc7df6fb0, receiver=0x31aa510, event=0x7fffc7df6ca0) at kernel/qcoreapplication.cpp:732
#45 0x00007f3dfb4806f2 in sendEvent (this=0x1c98d50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#46 QTimerInfoList::activateTimers (this=0x1c98d50) at kernel/qeventdispatcher_unix.cpp:602
#47 0x00007f3dfb47d4c8 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#48 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#49 0x00007f3df51ca342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#50 0x00007f3df51ce2a8 in ?? () from /lib/libglib-2.0.so.0
#51 0x00007f3df51ce45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#52 0x00007f3dfb47d193 in QEventDispatcherGlib::processEvents (this=0x1b11930, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#53 0x00007f3dfbee5a4e in QGuiEventDispatcherGlib::processEvents (this=0x3596080, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#54 0x00007f3dfb44fa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#55 0x00007f3dfb44fdec in QEventLoop::exec (this=0x7fffc7df6f40, flags=) at kernel/qeventloop.cpp:201
#56 0x00007f3dfb453ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#57 0x0000000000409598 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:268

Reported using DrKonqi
Comment 1 kat 2011-03-14 21:58:47 UTC
Created attachment 58004 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

- What I was doing when the application crashed:
Connected an iPod 160GB to the system. Started Amarok
Added one file to the iPod using the database view on the left, then removed a file.
Then went to Playlists, Long Clicked the disk icon and choose send to media device.
Amarok Crashed

-- Backtrace (Reduced):
#6  0x00007ffd9e930b60 in PlaylistBrowserNS::PlaylistBrowserModel::slotRenamePlaylist (this=0x25f1680, playlist=) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:557
#7  0x00007ffd9e5f64be in PlaylistBrowserNS::PlaylistBrowserModel::qt_metacall (this=0x25f1680, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fffdaa35590) at moc_PlaylistBrowserModel.cpp:89
[...]
#9  0x00007ffd9e964a85 in PlaylistManager::renamePlaylist (this=0x7ffd79bc4ac0, _t1=<value optimized out>) at ./PlaylistManager.moc:158
#10 0x00007ffd9e968f9f in PlaylistManager::save (this=0x24e9d10, tracks=<value optimized out>, name=<value optimized out>, toProvider=<value optimized out>) at ../../src/playlistmanager/PlaylistManager.cpp:310
#11 0x00007ffd9e6ccf60 in Playlist::Dock::slotSaveCurrentPlaylist (this=<value optimized out>) at ../../src/playlist/PlaylistDock.cpp:288
Comment 2 Myriam Schweingruber 2011-03-19 03:20:18 UTC
*** Bug 268398 has been marked as a duplicate of this bug. ***
Comment 3 Myriam Schweingruber 2011-03-19 03:20:48 UTC
Confirmed by duplicates
Comment 4 Matěj Laitl 2011-04-02 00:54:26 UTC
Created attachment 58507 [details]
New crash information added by DrKonqi

amarok (2.4-GIT) on KDE Platform 4.6.1 (4.6.1) using Qt 4.7.2

Connected my iPod Nano and tried to save current playlist to "Playlists on Media Device"

-- Backtrace (Reduced):
#7  0xf6e12395 in PlaylistBrowserNS::PlaylistBrowserModel::slotRenamePlaylist (this=0x98f3568, playlist=...) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:560
#8  0xf6a8de7c in PlaylistBrowserNS::PlaylistBrowserModel::qt_metacall (this=0x98f3568, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xdcb584d0) at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/moc_PlaylistBrowserModel.cpp:89
#9  0xf6e47483 in PlaylistBrowserNS::UserModel::qt_metacall (this=0x98f3568, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xdcb584d0) at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/UserPlaylistModel.moc:64
[...]
#12 0xf59fa88a in QObject::event(QEvent*) () from /usr/lib/qt4/libQtCore.so.4
#13 0xf5f0fbd4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/qt4/libQtGui.so.4
Comment 5 PJ Beers 2011-04-08 14:17:52 UTC
Created attachment 58710 [details]
New crash information added by DrKonqi

Today I upgraded to Amarok 2.4.0.90. I compiled Amarok from source.

I wanted to transfer a playlist to my 8G Ipod nano. When I long-click the disk icon and select 'Save playlist to "Media device playlists"' Amarok immediately crashes.

I'd love to help out, I can test patches. And I'd really like to be able to use Amarok to manage the playlists on my Ipod! That's actually the last imperfect bit of Amarok 2 ;-)
Comment 6 Myriam Schweingruber 2011-04-09 15:51:05 UTC
OJ, could you please install the debugging symbols for Amarok and try again? Your backtrace is not really useful. See also http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 7 PJ Beers 2011-04-10 09:14:58 UTC
Hello Myriam, I just noticed that the buildscript I use was stripping binaries, so that's probably why the backtrace wasn't any good :-) I've recompiled and now I think the backtrace is better. I did notice though that I haven't got any debugging symbols for Qt. Please let me know if this backtrace is better, and if not, what I have to recompile with debugging symbols.

Thanks!
Comment 8 PJ Beers 2011-04-10 09:17:58 UTC
Created attachment 58759 [details]
Backtrace
Comment 9 Myriam Schweingruber 2011-04-10 11:17:39 UTC
This time the backtrace is good, and it shows the same line for the crash. Thank you for the report.
Comment 10 PJ Beers 2011-04-11 12:19:03 UTC
Okay, thanks. Let me know if there's anything else I can do!

PJ
Comment 11 Sergey Ivanov 2011-04-27 23:23:41 UTC
Git commit 1aa3906f4a5692162ce4240b39525d6017484fc4 by Sergey Ivanov.
Committed on 27/04/2011 at 23:13.
Pushed by ivanov into branch 'master'.

Fixed crash on saving playlist on ineligible device.
BUG: 266899
FIXED-IN: 2.4.1

M  +3    -2    ChangeLog     
M  +1    -1    src/browsers/playlistbrowser/PlaylistBrowserModel.cpp     

http://commits.kde.org/amarok/1aa3906f4a5692162ce4240b39525d6017484fc4
Comment 12 PJ Beers 2011-05-08 21:27:36 UTC
I've applied git 1aa3906f4a5692162ce4240b39525d6017484fc4 to amarok 2.4.0.90. I assume that the expected behaviour indeed is that amarok no longer offers to save playlists to an ipod? That's wonderful, insofar as it solves the crash. 

I must admit though, that I was under the impression that solving this bug would mean that I could once more save playlists to my ipod with amarok. Is there any seperate bug report where this issue is tracked?
Comment 13 Myriam Schweingruber 2011-05-10 03:08:07 UTC
Could you please install Amarok 2.4.1 final and try again?
Comment 14 PJ Beers 2011-05-13 10:25:49 UTC
Dear Myriam, thanks for changing the status of this bug :-) 

I've tried 2.4.1. The crash indeed is gone, and it is possible to read playlists from the ipod and play them. Also, the save playlist button _does_ offer the option to save to a media device. However, nothing happens when I select this option. So, the crash is gone, but the functionality of saving a playlist to a device seems not to be there.

As a user, I would expect the following to happen when clicking the save playlist to media device button:
   * A new playlist is saved to the itunesdb.
   * The tracks in the playlist that are not on the ipod are copied to the ipod and the ipod's itunesdb.
Comment 15 PJ Beers 2011-05-13 10:56:39 UTC
Incidentally, how does this bug relate to https://bugs.kde.org/show_bug.cgi?id=223400 ?
Comment 16 Myriam Schweingruber 2011-05-14 10:44:41 UTC
These are separate bugs, this here is only related to the crash which is fixed. To track the "saving playlist to media devices" problem please use the other report.